<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
load_language('plugin.lang', meta_PATH);
$my_base_url = get_admin_plugin_menu_link(__FILE__);

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions

// Gestion des onglets
if (!isset($_GET['tab']))
    $page['tab'] = 'gestion';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('gestion',
               l10n('meta_onglet_gestion'),
               $my_base_url.'&amp;tab=gestion');
$tabsheet->add('description',
               l10n('meta_onglet_description'),
               $my_base_url.'&amp;tab=description');
$tabsheet->select($page['tab']);
$tabsheet->assign();

// Onglet gestion des meta
switch ($page['tab'])
{
  case 'gestion':

//charge la liste des meta
$groups = array();
$query = '
select id,metaname
  FROM ' . meta_TABLE . '
  ORDER BY metaname ASC;';
$result = pwg_query($query);

while ($row = pwg_db_fetch_assoc($result))
	{
  $groups[$row['id']] = $row['metaname'];
	}

    $selected = 0;
	$options[] = l10n('meta_select2');
	$options['a'] = '----------------------';


  foreach ($groups as $metalist => $metalist2)
	{
    $options[$metalist] = $metalist2;
	}
  $template->assign(
    'gestionA',
    array(
      'OPTIONS' => $options,
      'SELECTED' => $selected
      ));


//edit de meta
if (isset($_POST['submitchoixmeta']) and is_numeric($_POST['metalist']) and (!$_POST['metalist'])==0 and !is_adviser())
	{
$lire=$_POST['metalist'];
	$query = '
select id,metaname,metaval
  FROM ' . meta_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = pwg_db_fetch_assoc($result);
$chname=$row['metaname'];
$chval=$row['metaval'];

  $selected2 = "";
  
  $template->assign(
    'meta_edit',
    array(
      'VALUE' => $chname,
      'CONTENT' => $chval,
      'SELECTED' => $selected2
      ));
	}

//insértion de meta dans la table
if (isset($_POST['submitinsmeta']) and !is_adviser())
	{
	$query = '
UPDATE ' . meta_TABLE . '
  SET metaval= \''.$_POST['inser'].'\'
  WHERE metaname = \''.$_POST['invisible'].'\'
    ;';
$result = pwg_query($query);
	}

    break;

// Onglet  description
  case 'description':

$blockdesc = 'description';
$template->assign(
	$blockdesc,
	array(
	  'meta'=>l10n('meta_name'),
	  ));
	break;
	
} 

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>